Package ru.bitel.bgbilling.modules.ipn.server.bean

# Class UserGateRule

java.lang.Object
ru.bitel.bgbilling.modules.ipn.server.bean.UserGateRule

public class UserGateRule extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UserGateRule()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getContractId()`
  `int`
  `getContractID()`
  Deprecated.
  `int`
  `getGateId()`
  `int`
  `getGateID()`
  Deprecated.
  `int`
  `getId()`
  `int`
  `getID()`
  Deprecated.
  `String`
  `getRuleText()`
  `int`
  `getRuleTypeId()`
  `void`
  `setContractId(int contractId)`
  `void`
  `setContractID(int contractId)`
  Deprecated.
  `void`
  `setGateId(int gateId)`
  `void`
  `setGateID(int gateId)`
  Deprecated.
  `void`
  `setId(int id)`
  `void`
  `setID(int id)`
  Deprecated.
  `void`
  `setRuleText(String ruleText)`
  `void`
  `setRuleTypeId(int ruleTypeId)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### UserGateRule

    public UserGateRule()

- ## Method Details

  - ### getId

    public int getId()

  - ### getID

    @Deprecated public int getID()
    Deprecated.
    Использовать `getId()`.
    Returns:

  - ### setId

    public void setId(int id)

  - ### setID

    @Deprecated public void setID(int id)
    Deprecated.
    Использовать `setId(int)`.
    Parameters:
      `id` -

  - ### getContractId

    public int getContractId()

  - ### getContractID

    @Deprecated public int getContractID()
    Deprecated.
    Использовать `getContractId()`.
    Returns:

  - ### setContractId

    public void setContractId(int contractId)

  - ### setContractID

    @Deprecated public void setContractID(int contractId)
    Deprecated.
    Использовать `setContractId(int)`.
    Parameters:
      `contractId` -

  - ### getRuleText

    public String getRuleText()

  - ### setRuleText

    public void setRuleText(String ruleText)

  - ### getGateId

    public int getGateId()

  - ### getGateID

    @Deprecated public int getGateID()
    Deprecated.
    Использовать `getGateId()`.
    Returns:

  - ### setGateId

    public void setGateId(int gateId)

  - ### setGateID

    @Deprecated public void setGateID(int gateId)
    Deprecated.
    Использовать `setGateId(int)`.
    Parameters:
      `gateId` -

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getRuleTypeId

    public int getRuleTypeId()

  - ### setRuleTypeId

    public void setRuleTypeId(int ruleTypeId)